Bug 592678 - [abrt] crash in listen-0.6.5-1.fc12: dbus_manager.py:99:enqueue:AttributeError: 'ListenDBus' object has no attribute 'win'
[abrt] crash in listen-0.6.5-1.fc12: dbus_manager.py:99:enqueue:AttributeErro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: listen (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
abrt_hash:428260ef
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 03:57 EDT by Mircea Sava
Modified: 2010-11-03 11:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 11:56:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (999 bytes, text/plain)
2010-05-16 03:57 EDT, Mircea Sava
no flags Details

  None (edit)
Description Mircea Sava 2010-05-16 03:57:43 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python listen '/home/Mircea/Desktop/Jamendo/Amity in Fame - Dinner for One -- Jamendo - OGG Vorbis q7 - 2008.07.07 [www.jamendo.com]/01 - Dinner for One.ogg'
component: listen
executable: /usr/lib/listen/listen
kernel: 2.6.32.11-99.fc12.i686.PAE
package: listen-0.6.5-1.fc12
reason: dbus_manager.py:99:enqueue:AttributeError: 'ListenDBus' object has no attribute 'win'
release: Fedora release 12 (Constantine)

backtrace
-----
dbus_manager.py:99:enqueue:AttributeError: 'ListenDBus' object has no attribute 'win'

Traceback (most recent call last):
  File "listen", line 155, in on_ready_cb
    self.post_start()
  File "listen", line 163, in post_start
    self.option.run_load( self.listen_instance.dbus_service )
  File "/usr/lib/listen/option_parser.py", line 161, in run_load
    ret = listen_dbus_interface.enqueue(self.convert_args_to_uris_string(self.args))
  File "/usr/lib/listen/dbus_manager.py", line 99, in enqueue
    self.win.playlist_ui.playlist.add_uris, pos=None, sort=True)
AttributeError: 'ListenDBus' object has no attribute 'win'

Local variables in innermost frame:
win: <Listen object at 0xa20b70c (widget+listen+Listen at 0x9f448b0)>
self: <dbus_manager.ListenDBus at /org/gnome/listen at 0xa22076c>
uris: ['file:///home/Mircea/Desktop/Jamendo/Amity%20in%20Fame%20-%20Dinner%20for%20One%20--%20Jamendo%20-%20OGG%20Vorbis%20q7%20-%202008.07.07%20%5Bwww.jamendo.com%5D/01%20-%20Dinner%20for%20One.ogg']

How to reproduce
-----
1. right click on ogg music file
2. select open with Listen Music Player
3.
Comment 1 Mircea Sava 2010-05-16 03:57:46 EDT
Created attachment 414322 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 10:48:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mircea Sava 2010-11-03 11:54:47 EDT
Imagine my surprise when I received an email asking me for some more
information on this bug almost six months after I submitted it.
This is so pathetic.
I gave up GNOME starting with F13

Note You need to log in before you can comment on or make changes to this bug.